Summary:  Text editor for the MATE desktop
Name:     mate-text-editor
Version:  1.4.0
Release:  2%{?dist}
License:  GPLv2+
Group:    Applications/Editors
URL:      http://mate-desktop.org
Source0:  http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz


# mateconftool-2
Requires(pre):   mate-conf
Requires(post):  mate-conf
Requires(preun): mate-conf


BuildRequires: mate-common
BuildRequires: glib2-devel
BuildRequires: pango-devel
BuildRequires: gtk2-devel
BuildRequires: mate-conf-devel
BuildRequires: libSM-devel
BuildRequires: desktop-file-utils
BuildRequires: enchant-devel
BuildRequires: iso-codes-devel
BuildRequires: libattr-devel
BuildRequires: gail-devel
BuildRequires: gtksourceview2-devel
BuildRequires: rarian-compat
BuildRequires: pygtk2-devel
BuildRequires: pygobject2-devel
BuildRequires: pygtksourceview-devel
BuildRequires: python-devel
BuildRequires: mate-doc-utils
BuildRequires: which
BuildRequires: gettext-autopoint

Requires: pygtk2
Requires: pygobject2
Requires: pygtksourceview
Requires: gnome-python2-desktop
# the run-command plugin uses zenity
Requires: zenity

%description
mate-text-editor is a small, but powerful text editor designed specifically for
the MATE desktop. It has most standard text editor functions and fully
supports international text in Unicode. Advanced features include syntax
highlighting and automatic indentation of source code, printing and editing
of multiple documents in one window.

mate-text-editor is extensible through a plugin system, which currently includes
support for spell checking, comparing files, viewing CVS ChangeLogs, and
adjusting indentation levels.

%package devel
Summary: Support for developing plugins for the mate-text-editor text editor
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtksourceview2-devel
Requires: pygtk2-devel

%description devel
mate-text-editor is a small, but powerful text editor for the MATE desktop.
This package allows you to develop plugins that add new functionality
to mate-text-editor.

Install mate-text-editor-devel if you want to write plugins for mate-text-editor.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

# Fix debug permissions with messy hack 
find ./*/* -type f -exec chmod 644 {} \;
find ./*/*/* -type f -exec chmod 644 {} \;


%build
%configure \
        --disable-scrollkeeper \
        --disable-gtk-doc \
        --enable-python \
        --disable-schemas-install
make %{?_smp_mflags}

%install
export MATECONF_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset MATECONF_MAKEFILE_SCHEMA_INSTALLL

desktop-file-install --delete-original             \
  --remove-category=MATE                           \
  --add-category=X-Mate                            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

## clean up all the static libs for plugins
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugins -name "*.a"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugins -name "*.la"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugin-loaders -name "*.la"`


%find_lang pluma --with-gnome

%post
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
%mateconf_schema_upgrade pluma-file-browser pluma


%pre
%mateconf_schema_prepare pluma-file-browser pluma

%preun
%mateconf_schema_remove pluma-file-browser pluma

%postun
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :


%files  -f pluma.lang
%doc README COPYING AUTHORS
%{_datadir}/pluma/
%{_datadir}/mate/help/pluma/
%{_datadir}/applications/pluma.desktop
%{_mandir}/man1/*
%{_libdir}/pluma/
%{_libexecdir}/pluma/
%{_bindir}/*
%{_sysconfdir}/mateconf/schemas/*


%files devel
%{_includedir}/pluma/
%{_libdir}/pkgconfig/pluma.pc



%changelog
* Mon Oct 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- Fix build requires

* Sun Oct 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build


